Bug 28299 - GTK apps complain about missing window_decorations.css under Plasma
Summary: GTK apps complain about missing window_decorations.css under Plasma
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High normal
Target Milestone: Mageia 8
Assignee: KDE maintainers
QA Contact:
URL:
Whiteboard:
Keywords: IN_ERRATA8
Depends on:
Blocks: 28788
  Show dependency treegraph
 
Reported: 2021-02-05 17:44 CET by Aurelien Oudelet
Modified: 2021-10-15 11:38 CEST (History)
1 user (show)

See Also:
Source RPM: breeze-gtk-5.20.4-1.mga8.src.rpm
CVE:
Status comment:


Attachments
Correct gtk-3.0 folder for ~/.config/ that correct all GTK errors (2.63 KB, application/gzip)
2021-02-05 18:06 CET, Aurelien Oudelet
Details

Description Aurelien Oudelet 2021-02-05 17:44:59 CET
Every GTK desktop applications under Plasma complain about a missing window_decoration.css that should be in ~/.config/gtk-3.0/ folder.

(/usr/lib64/firefox/firefox:3086): Gtk-WARNING **: 17:10:35.184: Theme parsing error: gtk.css:2:33: Failed to import: Error opening file /home/aurelien/.config/gtk-3.0/window_decorations.css : No such file or directory.

Workaround:
Backup the ~/.config/gtk-3.0/ into ~/.config/gtk-3.0.bak
Systemsettings5 => Application Style => Configure GNOME/GTK Application Style...
Select Breeze theme.

Booh window_decorations.css appears in ~/.config/gtk-3.0/ but now
it is colors.css which is missing. I can import back it from previous folder backup.



So the KCM Application Style is somewhat buggy in Plasma 5.20.4
Note that by default, right after installation, every GTK app seems to use default GTK theme (Adwaita?) instead of Breeze... which is not very visually appealing.
Firefox should use Breeze theme instead of Adwaita under Plasma.

Added FOR_ERRATA8 keywords. We are in RC Freeze.
Assigning to KDE maintainers.
Comment 1 Aurelien Oudelet 2021-02-05 18:06:38 CET
Created attachment 12312 [details]
Correct gtk-3.0 folder for ~/.config/ that correct all GTK errors

This attached tar.gz archive contains the correct gtk-3.0 to be placed in
~/.config/ to no longer have complain about missing files when GTK apps are running under Plasma.

Note that these errors were logged in ~/.local/share/sddm/xorg-session.log
Morgan Leijström 2021-02-06 13:17:29 CET

Keywords: FOR_ERRATA8 => IN_ERRATA8
CC: (none) => fri

Comment 2 Aurelien Oudelet 2021-02-11 16:05:39 CET
David G has backported a potential fix in 8/core/updates_testing/kde-gtk-config-5.20.4-2.mga8.x86_64.rpm

Will test this.
Comment 3 Morgan Leijström 2021-02-13 09:19:01 CET
Tested yet?
Comment 4 Aurelien Oudelet 2021-02-13 09:41:16 CET
Yeah,this has been tested but no, this does not fix the issue.
So, for errata.

In facts, some settings in ~/.config/gtk-3.0/ directory are carried over update from Mageia 7 to Mageia 8.
GTK3 apps will complain silently in ~/.local/share/sddm/xorg-session.log about missing files. This leads to unnecessary datas written in this file because apparently window decorations are properly applied meanwhile.

Parenthesis: That is sad is that upstream Plasma Devs fix issues in some Plasma Workspace/KDE Frameworks/KDE Applications in newer major version instead of appliyng them in already released version:
Fixes for some bugs land in Plasma Workspace 5.21 or even 5.22 now instead of current 5.20 series. And, meanwhile there is an LTS Plasma version (5.18) it has no fixes here since a while... This is Plasma rolling release...
This make us to have to backport some fixes (commit) in out current shipping version because we are a fixed version release.
Comment 5 Morgan Leijström 2021-02-13 10:32:13 CET
Tiresome.

But it feels good that we, Mageia, try fixing it :)

I updated Errata with link to your comment 1 for the manual fix, thanks.
Omer I.S. 2021-03-18 23:51:31 CET

CC: (none) => omeritzicschwartz

Aurelien Oudelet 2021-04-16 13:20:43 CEST

Blocks: (none) => 28788

Comment 6 Morgan Leijström 2021-04-30 11:38:43 CEST
It may be a good idea to only copy the file /gtk-3.0/window_decorations.css from the unpacked attachement, to your ~/.config/gtk-3.0/ directory.

On my main computer, output in terminal when launching firefox as example follows.  System is upgraded from Mageia 7 to 8.

It was complaining about missing file:

(/usr/lib64/firefox/firefox:58722): Gtk-WARNING **: 10:53:14.938: Theme parsing error: gtk.css:2:33: Failed to import: Fel vid öppning av filen /home/morgan/.config/gtk-3.0/window_decorations.css: Filen eller katalogen finns inte

---

* After I just added window_decorations.css, there is no complaints at all *

---

When I instead completely replaced ~/.config/gtk-3.0 with the attachment unpacked, I instead get the following errors (and also text in menus have increased size, probably because of included settings different than mine)

(/usr/lib64/firefox/firefox:74833): GLib-GObject-WARNING **: 11:00:00.875: invalid (NULL) pointer instance

(/usr/lib64/firefox/firefox:74833): GLib-GObject-CRITICAL **: 11:00:00.875: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

---

Comment: My system do not have the ~/.config/gtk-3.0/assets directory that the attachement have.  It seem to be buttons for window frames, but apparently not needed - at least on my system.
Omer I.S. 2021-10-15 11:38:30 CEST

CC: omeritzicschwartz => (none)


Note You need to log in before you can comment on or make changes to this bug.